epp_ServiceMenu (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0503.epp_ServiceMenu class

### org.openrtk.idl.epp0503

# Class epp_ServiceMenu

- `java.lang.Object`
- - `org.openrtk.idl.epp0503.epp_ServiceMenu`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ServiceMenu`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains elements used to describe the services supported by the EPP registry server. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0503/epp_ServiceMenu.java,v 1.2 2003/09/10 21:29:56 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:56 $

See Also:
  `epp_Greeting`, `EPPGreeting`

  ## Field Summary
  `String[]` | `m_extensions` The array of object extensions supported by the server.
  `String[]` | `m_langs` The array of languages supported by the server.
  `String[]` | `m_services` The array of services offered by the server.
  `String[]` | `m_versions` The array of protocol versions supported by the server.

  ## Constructor Summary
  `epp_ServiceMenu()` Empty constructor
  `epp_ServiceMenu(String[] _m_versions, String[] _m_langs, String[] _m_services, String[] _m_extensions)` The constructor with initializing variables.

  ## Method Summary
  `String[]` | `getExtensions()` Accessor method for the array of object extensions supported by the server
  `String[]` | `getLangs()` Accessor method for the array of languages supported by the server
  `String[]` | `getServices()` Accessor method for the array of services offered by the server
  `String[]` | `getVersions()` Accessor method for the array of protocol versions supported by the server
  `void` | `setExtensions(String[] value)` Accessor method for the array of object extensions supported by the server
  `void` | `setLangs(String[] value)` Accessor method for the array of languages supported by the server
  `void` | `setServices(String[] value)` Accessor method for the array of services offered by the server
  `void` | `setVersions(String[] value)` Accessor method for the array of protocol versions supported by the server
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_extensions

    public String[] m_extensions

> The array of object extensions supported by the server.
> See Also:
>   `setExtensions(String[])`, `getExtensions()`

### m_langs

    public String[] m_langs

> The array of languages supported by the server.
> See Also:
>   `setLangs(String[])`, `getLangs()`

### m_services

    public String[] m_services

> The array of services offered by the server.
> See Also:
>   `setServices(String[])`, `getServices()`

### m_versions

    public String[] m_versions

> The array of protocol versions supported by the server.
> See Also:
>   `setVersions(String[])`, `getVersions()`

## Constructor Details

### epp_ServiceMenu

    public epp_ServiceMenu()

> Empty constructor

### epp_ServiceMenu

    public epp_ServiceMenu(String[] _m_versions,
                           String[] _m_langs,
                           String[] _m_services,
                           String[] _m_extensions)

> The constructor with initializing variables.
> Parameters:
>   `_m_versions` - The array of protocol versions supported by the server
>   `_m_langs` - The array of languages supported by the server
>   `_m_services` - The array of services offered by the server
>   `_m_extensions` - The array of object extensions supported by the server

## Method Details

### getExtensions

    public String[] getExtensions()

> Accessor method for the array of object extensions supported by the server
> Returns:
>   The array of service extensions
> See Also:
>   `m_extensions`

### getLangs

    public String[] getLangs()

> Accessor method for the array of languages supported by the server
> Returns:
>   The array of languages supported by the server
> See Also:
>   `m_langs`

### getServices

    public String[] getServices()

> Accessor method for the array of services offered by the server
> Returns:
>   The array of services
> See Also:
>   `m_services`

### getVersions

    public String[] getVersions()

> Accessor method for the array of protocol versions supported by the server
> Returns:
>   The array of protocol versions
> See Also:
>   `m_versions`

### setExtensions

    public void setExtensions(String[] value)

> Accessor method for the array of object extensions supported by the server
> Parameters:
>   `value` - The array of service extensions
> See Also:
>   `m_extensions`

### setLangs

    public void setLangs(String[] value)

> Accessor method for the array of languages supported by the server
> Parameters:
>   `value` - The array of languages supported by the server
> See Also:
>   `m_langs`

### setServices

    public void setServices(String[] value)

> Accessor method for the array of services offered by the server
> Parameters:
>   `value` - The array of services
> See Also:
>   `m_services`

### setVersions

    public void setVersions(String[] value)

> Accessor method for the array of protocol versions supported by the server
> Parameters:
>   `value` - The array of protocol versions
> See Also:
>   `m_versions`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS